%define upstream_name autobox-Core
%define upstream_version 1.33

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    autobox::Core provides core functions to autoboxed scalars, arrays and hashes
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/authors/id/S/SW/SWALTERS/%{upstream_name}-%{upstream_version}.tar.gz

Provides:   perl(autobox::Core)

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Want) >= 0.260.0
BuildRequires: perl(autobox) >= 2.710.0
BuildArch:  noarch

%description
The autobox module promotes Perl's primitive types (literals (strings
and numbers), scalars, arrays and hashes) into first-class objects.
However, autobox does not provide any methods for these new classes.

autobox::CORE provides a set of methods for these new classes. It
includes almost everything in perlfunc, some things from Scalar::Util
and List::Util, and some Perl 5 versions of methods taken from Perl 6.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Mon Mar 21 2022 umeabot <umeabot> 1.330.0-4.mga9
+ Revision: 1810669
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.330.0-3.mga8
+ Revision: 1507103
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 1.330.0-2.mga7
+ Revision: 1287487
- Mageia 7 Mass Rebuild

* Fri Jul 21 2017 sander85 <sander85> 1.330.0-1.mga7
+ Revision: 1126002
- update to 1.33

* Sat Jun 18 2016 pterjan <pterjan> 1.320.0-2.mga6
+ Revision: 1022680
- Rebuild for perl 5.22.2

* Fri Apr 15 2016 shlomif <shlomif> 1.320.0-1.mga6
+ Revision: 1002340
- update to 1.32

* Fri Feb 19 2016 umeabot <umeabot> 1.290.0-2.mga6
+ Revision: 969968
- Mageia 6 Mass Rebuild

* Mon Sep 28 2015 sander85 <sander85> 1.290.0-1.mga6
+ Revision: 884397
- update to 1.29

* Sat Oct 18 2014 umeabot <umeabot> 1.280.0-4.mga5
+ Revision: 787866
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 1.280.0-3.mga5
+ Revision: 742713
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.280.0-2.mga5
+ Revision: 687009
- Mageia 5 Mass Rebuild

* Sun Aug 03 2014 sander85 <sander85> 1.280.0-1.mga5
+ Revision: 659422
- update to 1.28

* Sat Oct 19 2013 umeabot <umeabot> 1.270.0-2.mga4
+ Revision: 530269
- Mageia 4 Mass Rebuild

* Sun Jul 21 2013 sander85 <sander85> 1.270.0-1.mga4
+ Revision: 456976
- update to 1.27

* Sun Jul 14 2013 sander85 <sander85> 1.260.0-2.mga4
+ Revision: 454066
- Add needed provides

* Sun Jul 14 2013 sander85 <sander85> 1.260.0-1.mga4
+ Revision: 454056
- imported package perl-autobox-Core

